require "import"
import "android.widget.*"
import "com.androlua.*"
import "android.content.Context"
import "android.os.Vibrator"
import "android.content.Intent"
import "android.net.Uri"
解说 = {
  "Con este plugin, tendrás a la mano los enlaces para crear tus canciones propias con Inteligencia artificial, y los diálogos con voces neuronales, además de efectos de sonido.",
}
local context = activity or service
local vibrator = context.getSystemService(Context.VIBRATOR_SERVICE)
vibrator.vibrate(100)
layout = {
  LinearLayout,
  orientation = LinearLayout.VERTICAL,
  {
    TextView,
    text = 解说[1],
    textSize = "20sp",
    gravity = 17,
    padding = "16dp",
    layout_width = "match_parent",
    layout_height = "wrap_content",
  },
  {
    TextView,
    text = "Enlace para crear tus propias canciones",
    textColor = "#FF33FF00", -- verde
    textSize = "18sp",
    gravity = 17,
    padding = "16dp",
    layout_width = "match_parent",
    layout_height = "wrap_content",
    onClick = function()
openLink("https://suno.com/")
    end,
  },
  {
    TextView,
    text = "Enlace para crear diálogos sintéticos y efectos de sonido",
    textColor = "#FF33FF00", -- verde
    textSize = "18sp",
    gravity = 17,
    padding = "16dp",
    layout_width = "match_parent",
    layout_height = "wrap_content",
    onClick = function()
openLink("https://beta.elevenlabs.io/")
    end,
  },
  {
    Button,
    text = "Cerrar",
    onClick = function(v)
      dlg.dismiss()
    end,
    layout_width = "match_parent",
    layout_height = "wrap_content",
  }
}
dlg = LuaDialog(service)
dlg.View = loadlayout(layout)
dlg.show()
function openLink(url)
  local intent = Intent(Intent.ACTION_VIEW)
  intent.setData(Uri.parse(url))
  context.startActivity(intent)
  dlg.dismiss()  -- Cerrar la interfaz después de abrir el enlace
  service.asyncSpeak("El enlace se ha abierto.")
end
function onKeyDown(code, event)
  if code == KeyEvent.KEYCODE_BACK then
    dlg.dismiss()
    return true
  end
end
return true